org.apache.olingo.odata2.client.core.uri.util

## Class UriUtil

- java.lang.Object
- - org.apache.olingo.odata2.client.core.uri.util.UriUtil

-     public class UriUtil
      extends Object

  Util class

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `appendQueryOption(String paramName, String paramValue, Map<String,String> queryOptions, boolean replace)`
    `static URI` | `getUri(List<Segment> segments, Map<String,String> queryOptions, Map<String,String> customQueryOptions, Map<String,Object> functionImportParameters)`
    `static String` | `join(String[] items, String separator)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getUri

          public static URI getUri(List<Segment> segments,
                                   Map<String,String> queryOptions,
                                   Map<String,String> customQueryOptions,
                                   Map<String,Object> functionImportParameters)

      Parameters:
        `segments` -
        `queryOptions` -
        `customQueryOptions` -
        `functionImportParameters` -
      Returns:
        URI

    - #### join

          public static String join(String[] items,
                                    String separator)

      Parameters:
        `items` -
        `separator` -
      Returns:
        String

    - #### appendQueryOption

          public static void appendQueryOption(String paramName,
                                               String paramValue,
                                               Map<String,String> queryOptions,
                                               boolean replace)

      Parameters:
        `paramName` -
        `paramValue` -
        `queryOptions` -
        `replace` -

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.